package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yonge.cooleshow.biz.dal.dao.BannerDao;
import com.yonge.cooleshow.biz.dal.entity.SysNewsInformation;
import com.yonge.cooleshow.biz.dal.service.BannerService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class BannerServiceImpl extends ServiceImpl<BannerDao, SysNewsInformation> implements BannerService {

    private final static Logger log = LoggerFactory.getLogger(BannerServiceImpl.class);

    @Autowired
    private BannerDao bannerDao;

    public BannerDao getDao() {
        return bannerDao;
    }

    @Override
    public List<SysNewsInformation> selectBanner() {
        return baseMapper.selectBanner();
    }
}